Links/Unlinks offer instances to/from a loyalty card instance.
PATCH
https://${url}/hmspass/v1/loyalty/instance/{instanceId}/linkedoffers
Note: The ${url} variable in the preceding request should be selected based on the region where the wallet server is located. For details, please refer to Wallet Server Address.
| Parameter name | Value | Description |
| instanceId | String | Instance ID. This ID must be unique across all instances of an issuer. The value contains only alphabetic letters, digits, dots (.), hyphens (-), and underscores (_). |
The request body contains a LinkedOfferInstanceIds, which is information of offer instances to be processed.
LinkedOfferInstanceIds:
| Parameter name | Value | Description |
| addOffers | Array<Offer> | Offer instances to be added. |
| deleteOffers | Array<Offer> | Offer instances to be deleted. |
Offer:
| Parameter name | Value | Description |
| passTypeIdentifier | String | The offer instance you want to add or delete belongs to this passTypeIdentifier. |
| instanceId | String | ID of an offer instance. |
If successful, this method returns a response containing the hwWalletObject that is linked/unlinked.